import Vue, { VueConstructor } from "vue";
import { noop, UploadStatuses } from "../core/utils";
import { VTransmitFile } from "../classes/VTransmitFile";
import { DriverInterface } from "../core/interfaces";
import { Dictionary, WebKitDirectoryEntry } from "../types";
declare const _default: VueConstructor<{
    dragging: boolean;
    processingThumbnail: boolean;
    thumbnailQueue: VTransmitFile[];
    files: VTransmitFile[];
    defaultHeaders: {
        [key: string]: string;
    };
    formStyles: {
        [key: string]: string;
    };
} & {
    getFilesWithStatus(...statuses: UploadStatuses[]): VTransmitFile[];
    onFileInputChange(): void;
    addFile(file: File): VTransmitFile;
    acceptFile(file: VTransmitFile, done: (err?: string | undefined) => void): void;
    removeFile(file: VTransmitFile): void;
    removeFilesWithStatus(...statuses: UploadStatuses[]): void;
    removeAllFiles(cancelInProgressUploads?: boolean): void;
    triggerBrowseFiles(): void;
    handleClickUploaderAction(): void;
    enqueueFile(file: VTransmitFile): void;
    enqueueThumbnail(file: VTransmitFile): void;
    processThumbnailQueue(): void;
    createThumbnail(file: VTransmitFile, callback?: typeof noop): void;
    createThumbnailFromUrl(file: VTransmitFile, imageUrl: string, callback?: Function | undefined): void;
    processQueue(): void;
    processFile(file: VTransmitFile): void;
    processFiles(files: VTransmitFile[]): void;
    cancelUpload(file: VTransmitFile): void;
    uploadFile(file: VTransmitFile): void;
    uploadFiles(files: VTransmitFile[]): void;
    handleTimeout(files: VTransmitFile[], message: string, data: any): void;
    updateTotalUploadProgress(): void;
    uploadFinished(files: VTransmitFile[], response: string | object | any[], ...args: any[]): void;
    errorProcessing(files: VTransmitFile[], message: string, data?: any): void;
    isValidFileType(file: VTransmitFile, acceptedFileTypes: string[]): boolean;
    handleDragStart(e: DragEvent): void;
    handleDragOver(e: DragEvent): void;
    handleDragEnter(e: DragEvent): void;
    handleDragLeave(e: DragEvent): void;
    handleDragEnd(e: DragEvent): void;
    handleDrop(e: DragEvent): void;
    handlePaste(e: ClipboardEvent): void;
    handleFiles(files: File[]): VTransmitFile[];
    addFilesFromItems(items: DataTransferItem[]): void;
    addFilesFromDirectory(directory: WebKitDirectoryEntry, path: string): void;
} & {
    inputEl: HTMLInputElement | null;
    formEl: HTMLFormElement | null;
    fileSizeBase: number;
    maxFileSizeBytes: number;
    filesToAccept: string;
    multiple: boolean;
    addedFiles: VTransmitFile[];
    queuedFiles: VTransmitFile[];
    acceptedFiles: VTransmitFile[];
    rejectedFiles: VTransmitFile[];
    uploadingFiles: VTransmitFile[];
    canceledFiles: VTransmitFile[];
    failedFiles: VTransmitFile[];
    timeoutFiles: VTransmitFile[];
    successfulFiles: VTransmitFile[];
    activeFiles: VTransmitFile[];
    maxFilesReached: boolean;
    maxFilesReachedClass: string | null;
    isDraggingClass: Dictionary<boolean>;
    isUploading: boolean;
    fileSlotBindings: {
        files: VTransmitFile[];
        acceptedFiles: VTransmitFile[];
        rejectedFiles: VTransmitFile[];
        addedFiles: VTransmitFile[];
        queuedFiles: VTransmitFile[];
        uploadingFiles: VTransmitFile[];
        canceledFiles: VTransmitFile[];
        failedFiles: VTransmitFile[];
        timeoutFiles: VTransmitFile[];
        successfulFiles: VTransmitFile[];
        activeFiles: VTransmitFile[];
        isUploading: boolean;
    };
    transport: DriverInterface<any>;
} & {
    tag: string;
    disableDraggable: boolean;
    uploadAreaClasses: any;
    uploadAreaAttrs: any;
    uploadAreaListeners: any;
    dragClass: string;
    filesSlotFirst: boolean;
    maxConcurrentUploads: number;
    uploadMultiple: boolean;
    maxFileSize: number;
    useBinarySizeBase: boolean;
    createImageThumbnails: boolean;
    maxThumbnailFileSize: number;
    thumbnailWidth: number;
    thumbnailHeight: number;
    maxFiles: number;
    clickable: boolean;
    ignoreHiddenFiles: boolean;
    acceptedFileTypes: string[];
    autoProcessQueue: boolean;
    autoQueue: boolean;
    capture: string;
    errMaxFileSizeExceeded: Function;
    errInvalidFileType: Function;
    errMaxFilesExceeded: Function;
    accept: Function;
    resize: Function;
    driverOptions: any;
    driver: Function;
} & Vue>;
export default _default;
